# -*- encoding: utf-8 -*-
# stub: rake-protect 2.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "rake-protect".freeze
  s.version = "2.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 2.6".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Marek Tuchowski".freeze]
  s.date = "2019-09-10"
  s.description = "  When some gems are unavailable in an environment, for example on a production server, requiring\n  them in a Rakefile will cause LoadError to be thrown. Wrap the require and task declaration\n  in Rake.protect block to prevent that.\n".freeze
  s.email = "marek@tuchowski.com.pl".freeze
  s.extra_rdoc_files = ["README.md".freeze, "LICENSE".freeze]
  s.files = ["LICENSE".freeze, "README.md".freeze]
  s.homepage = "https://gitlab.com/mtuchowski/rake-protect".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--charset".freeze, "UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.8".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Protect from raising an exception when requiring unavailable gems in Rakefile".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rake>.freeze, [">= 10.0"])
    s.add_runtime_dependency(%q<rainbow>.freeze, [">= 3.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.14"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.5"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.47"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 1.5"])
    s.add_development_dependency(%q<reek>.freeze, [">= 3.11"])
    s.add_development_dependency(%q<guard>.freeze, ["~> 2.14"])
    s.add_development_dependency(%q<guard-rake>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<guard-rspec>.freeze, ["~> 4.7"])
    s.add_development_dependency(%q<listen>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.13"])
    s.add_development_dependency(%q<simplecov-console>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<simplecov-json>.freeze, ["~> 0.2"])
  else
    s.add_dependency(%q<rake>.freeze, [">= 10.0"])
    s.add_dependency(%q<rainbow>.freeze, [">= 3.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.14"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.5"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.47"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["~> 1.5"])
    s.add_dependency(%q<reek>.freeze, [">= 3.11"])
    s.add_dependency(%q<guard>.freeze, ["~> 2.14"])
    s.add_dependency(%q<guard-rake>.freeze, ["~> 1.0"])
    s.add_dependency(%q<guard-rspec>.freeze, ["~> 4.7"])
    s.add_dependency(%q<listen>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.13"])
    s.add_dependency(%q<simplecov-console>.freeze, ["~> 0.4"])
    s.add_dependency(%q<simplecov-json>.freeze, ["~> 0.2"])
  end
end
